Page 1 of 1

New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Sat Jun 17, 2017 11:24 pm
by rkk
Hi, I just saw this post: http://vonger.cn/?p=14252

Right now I'm on the latest firmware version for my Vocore 2 Lite and the speed tests I've done are slow as the LEDE drivers. Will there be any updates to the driver to use the Mediatek ones any soon? Is there any way to incorporate it into the current firmware?

And what about the LEDE firmware? How can I install the firmware from here http://vonger.cn/?p=14237 ?
Is it safe to use on the Vocore 2 Lite? Does it has the new WiFi driver?

Greetings and thanks!

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Sun Jun 18, 2017 2:38 pm
by nbash
i join to the question.

if this is a license problem... how can i add mtwifi to source of lede?

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Tue Jun 20, 2017 8:15 am
by rkk
Any news of @Vonger? It would be nice if he could give some input or comment about this..

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Tue Jun 20, 2017 4:09 pm
by Vonger
Actually you can get mediatek wifi driver source code everywhere :)
If you want use it, must compile it and use it as blob.

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Tue Jun 20, 2017 6:36 pm
by nbash
I assume, it is possible to operate similarly: https://github.com/wuqiong/rt2860v2-for-openwrt-mt7620
But I didn't check yet

UPD
Having used instruction on the link.
I am put contents of mtwifi archive to the directory build_dir/target-mipsel_24kc_musl/linux-ramips_mt7628/linux-4.4.61/drivers/net/wireless/mt_wifi
I have added strings about mtwifi driver to the files Makefile and Kconfig of directory build_dir/target-mipsel_24kc_musl/linux-ramips_mt7628/linux-4.4.61/drivers/net/wireless/
Code: Select all
Makefile: obj-$(CONFIG_MT_WIFI)   += mt_wifi/build/
Kconfig: source "drivers/net/wireless/mt_wifi/build/Kconfig"

(maybe it is necessary to move build contents to the root of mt_wifi?)

Now, I execute
Code: Select all
make kernel_menuconfig

and have seen
Code: Select all
Device Drivers  ---> [*] Network device support  ---> [*]   Wireless LAN  --->

<*>   Ralink RT2860 802.11n AP support
[*]     WDS
[*]     MBSSID
[*]     AP-Client Support
[*]       MAC Repeater Support
[*]     LLTD (Link Layer Topology Discovery Protocol)
[*]     AIRPLAY Support   

(exactly Ralink RT2860 802.11n AP support !!!)

After then, I have checked everything, and exit with save.
Code: Select all
make V=99

executed, and doesn't yield result, driver has been ignored at compile.

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Wed Jun 21, 2017 7:02 pm
by rkk
Can you @Vonger provide us the required WiFi blobs that you used in your comparison blog? (http://vonger.cn/?p=14252). Or is it required to compile it every time?

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Thu Jun 22, 2017 8:52 am
by nbash
Wow, what i have found:

Code: Select all
root@OpenWrt:/# lsmod | grep mt_wifi
mt_wifi              1325309  1


http://vonger.cn/misc/vocore2/20170527V.bin

Re: New Mediatek WiFi Drivers for Vocore 2 Lite? LEDE?

Posted: Mon Jun 26, 2017 5:07 pm
by rkk
Nice!!! Were you @nbash able to make the driver work in LEDE? The LEDE image that Vonger posted on his Blog is still using the non-official driver.

BTW, the the firmware for Vocore 2 Lite is 20170211 while all the other (Non-Lite) are 20170527. Is there any reason why the Lite versions are outdated? Is @vonger still updating the Firmwares or not anymore?